<?php
session_start();
include "../conexion.php";
require_once('../include/sesiones.php');

$est=mysqli_query($con,"SELECT * FROM modulo_permiso WHERE mod_id='19' and modp_nombre='Modificar Precio' and usuario='$usu_id' ") or die(mysqli_error($con));
$est=mysqli_fetch_array($est);
if($est['estado']=='Activo')
{
    $readonly='';
}
else
{
    $readonly='readonly';
}

$cott_id=$_GET['id'];   
$can=mysqli_query($con,"SELECT * from cotizacion_detalle_temp cd where cott_id=".$_GET["id"]) or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can); 
$cott_id=$dato['cott_id'];
$cott_art_id=$dato['cott_art_id'];
$cott_referencia=$dato['cott_referencia'];
$cott_nombre=$dato['cott_nombre'];
$cott_precio=$dato['cott_precio'];
$cott_cantidad=$dato['cott_cantidad'];
$cott_desc=$dato['cott_desc'];


$registros=mysqli_query($con,"SELECT * FROM articulos WHERE art_id='$cott_art_id' and empresa='$empresa' ") or die(mysqli_error($con));
$art=mysqli_fetch_array($registros); 
$art_venta_min=$art['art_venta_min'];
?>
<form role="form" id="actualizar" >      
    <div id="resultado_edit"></div>
    <div class="row">
        <div class="col-md-8">
            <label for="codigo_item" class="control-label">Código</label>
            <input type="text" class="form-control" id="codigo_item" name="codigo_item" placeholder="" value="<?php echo $cott_referencia; ?>" disabled required>
            <input type="hidden" name="id" value="<?php echo $cott_id; ?>">
        </div>
        <div class="col-md-4">
            <label for="cantidad_item" class="control-label">Cantidad</label>
            <input type="number" class="form-control" value="<?php echo $cott_cantidad; ?>" name="cantidad" min="<?php echo $art_venta_min; ?>" required>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <label for="art_nombre" class="control-label">Descripción</label>
            <textarea class="form-control"  name="art_nombre" id="art_nombre" disabled> <?php echo $cott_nombre; ?></textarea>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <label for="precio_item" class="control-label">Precio</label>
                <input type="number" class="form-control" value="<?php echo $cott_precio; ?>" name="precio" required  <?php echo $readonly; ?> >
        </div>
        <div class="col-md-6">
            <label for="descuento_item" class="control-label">Descuento</label>
                <input type="number" class="form-control" name="descuento" id="descuento" value="<?php echo $cott_desc; ?>" min="0" required <?php echo $readonly; ?>>
        </div>
    </div>      
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
        <button type="submit" class="btn btn-success" id="btn_act">Actualizar datos</button>
    </div>
</form>

<script>
$( "#actualizar" ).submit(function( event ) {
  $('#btn_act').attr("disabled", true);
 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_reservas/editar_temp.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultado_edit').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultado_edit").html(datos);
      $('#btn_act').attr("disabled", false);

       $('#editModal').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
      loadTabla();
      }
  });
  event.preventDefault();
})
</script>